API
HQ APIVat categories

Update issuer VAT assignment

Updates one issuer VAT assignment. Ownership is determined from the stored assignment.

POST/v1/hq/vat_assignments/{assignment_id}
AuthorizationBearer <token>

The Noona HQ API uses Bearer token for authentication.

Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.

Authorization: Bearer your-token

In: header

Path Parameters

assignment_id*string

Issuer VAT Assignment ID

Query Parameters

select?array<string>
expand?array<string>

Request Body

application/json

vat_category_id?string
Example"vatcat_123456"
order?integer
Formatint32
Example0

Response Body

application/json

curl -X POST "https://api.noona.is/v1/hq/vat_assignments/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "vatassign_123456",
  "company": "string",
  "issuer": "string",
  "item_type": "product",
  "item_id": "item_123456",
  "vat_category": "string",
  "order": 0,
  "created_at": "2026-06-17T12:00:00Z",
  "updated_at": "2026-06-17T12:00:00Z"
}
Empty
Empty
Empty
Empty
Empty